 ! generate harmonic potential
 program pot_gen

   implicit none

   real(kind=8), allocatable::pot(:),x(:)
   real(kind=8)             ::x1,x2
   integer                  ::N,i
   
   integer                  ::pot_type
   real(kind=8)             ::factor,alpha,x0
   
   open(unit=10, file='input/grid_input.dat')
   read(10,*) x1
   read(10,*) x2
   read(10,*) N
   close(10)
   
   open(unit=10, file='input/pot_params.dat')
   read(10,*) pot_type
   read(10,*) alpha   
   read(10,*) x0
   close(10)
  
   allocate(pot(N), x(N))
   
   select case (pot_type)
   case (0)
     do i = 1,N
       x(i) = (i-1)*(x2-x1)/N+x1
       pot(i) = (x(i)-x0)**2
     enddo

   case (1)
     factor=1/(alpha**2)
     do i = 1,N
       x(i) = (i-1)*(x2-x1)/N+x1
       pot(i) =factor*(1-exp(-alpha*(x(i)-x0)))**2
     enddo

   case default
   stop 'No valid potential number entered (0 or 1).'
   endselect

   open(unit=10, file='input/pot.dat')
   write(10,*) N
   do i = 1,N
     write(10,*) x(i), pot(i)
   enddo
   close(10)
   
 endprogram pot_gen
